バンドル販売取得
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/bundles/example?with_products=all';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/bundles/example?with_products=all' \ --header 'Authorization: Bearer <token>'バンドル販売情報を取得します。
対象プラン
- スタンダード
- プレミアム
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”商品バンドルグループID
※ ユーザーアクセストークンを利用する場合でセット売りを指定する場合、ユーザーの所属する店舗で販売している商品のみで構成されるセット売りの商品バンドルグループIDを指定してください。
Query Parameters
Section titled “Query Parameters”検索パラメータ(カンマ区切りで指定可)
Response項目を指定可能
※一部項目(withで指定する項目、2階層目以降の項目)については指定不可
バンドル販売対象商品情報を付加するか(付加する場合はall, しない場合はnone)
Responses
Section titled “Responses”取得成功
object
商品バンドルグループID:商品バンドルグループ毎に付与するID。
商品バンドルグループ名:商品バンドルグループの名称。
種類:バンドル販売の種類。
1:バンドル売り+販売金額指定
2:バンドル売り+値引金額指定
3:バンドル売り+割引率指定
4:セット売り+販売金額指定
税区分:税区分 (0:税込、1:税抜、2:非課税)
軽減税率ID(税設定):軽減税率設定画面で設定した軽減税率ID、または、下記の軽減税率ID。標準税率の場合はnull。
軽減:10000001 (特定商品の軽減税率適用)
選択[標準]:10000002(状態による適用[適用しない])
選択[軽減]:10000003(状態による適用[適用する])
選択[選択]:10000004(状態による適用[都度選択する])
数量:バンドル販売の条件となる数量。
値:タイプ=1,4の時は販売金額、タイプ=2の時は値引金額、タイプ=3の時は割引率。
軽減税率適用時の値:タイプ=1,4の時は販売金額、タイプ=2の時は値引金額、タイプ=3の時は割引率
優先順位:バンドル販売適用の優先順位。
適用開始日:適用開始日。 [YYYY-MM-DD]
適用終了日:適用終了日。[YYYY-MM-DD]
ポイント対象区分:ポイント対象区分 (0:ポイント対象、1:ポイント対象外)
免税区分:免税区分 (0:対象外、1:一般品、2:消耗品)
値引割引計算対象区分:値引割引計算対象区分 (0:対象外、1:対象)
作成日時:登録時の日時。[YYYY-MM-DDThh:mm:ssTZD]
更新日時:登録時・更新時の日時。[YYYY-MM-DDThh:mm:ssTZD]
対象商品:バンドル販売の対象商品
object
商品バンドル明細ID:商品バンドル明細毎に付与するID。サーバー側で付与する。
商品バンドルグループID:商品バンドルグループ毎に付与するID。サーバー側で付与する。
部門ID:バンドル販売の対象となる部門ID。セット販売の場合、商品IDに紐つく部門ID。
商品ID:バンドル販売/セット販売の対象となる商品ID。
商品グループコード:バンドル販売の対象となる商品グループコード。セット販売の場合、商品IDに紐つく商品グループコード。
Example
{ "productBundleGroupId": "string", "productBundleGroupName": "string", "type": "string", "taxDivision": "string", "reduceTaxId": "10000001", "quantity": "string", "value": "string", "reduceTaxValue": "string", "priority": "string", "termFrom": "string", "termTo": "string", "pointNotApplicable": "string", "taxFreeDivision": "string", "calcDiscount": "string", "insDateTime": "string", "updDateTime": "string", "products": [ { "productBundleId": "string", "productBundleGroupId": "string", "categoryId": "string", "productId": "string", "productGroupCode": "string" } ]}- 指定した商品バンドルグループIDが存在しない場合
object
Examples
{ "type": "about:blank", "title": "NotFound", "detail": "指定されたIDのリソースが見つかりません", "status": 404}